## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# XXX: note for maintainers
# Do NOT update HDMF without checking if packages that depend on it, for example python-pynwb can be installed with the new version

%bcond_without tests

%global desc %{expand: \
The Hierarchical Data Modeling Framework The Hierarchical Data Modeling
Framework, or *HDMF* is a Python package for working with hierarchical data. It
provides APIs for specifying data models, reading and writing data to different
storage backends, and representing data with Python object.Documentation of
HDMF can be found at Release. Documentation of HDMF can be found at 
https://hdmf.readthedocs.io}

%global pypi_name hdmf

Name:           python-hdmf
Version:        3.5.1
Release:        %autorelease
Summary:        A package for standardizing hierarchical object data

License:        BSD-3-Clause-LBNL
URL:            https://github.com/hdmf-dev/hdmf
Source0:        %{url}/releases/download/%{version}/hdmf-%{version}.tar.gz
# Man page hand-written for Fedora in groff_man(7) format based on help output
Source1:        validate_hdmf_spec.1

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%description
%{desc}

%package -n python3-hdmf
Summary:        %{summary}

%description -n python3-hdmf
%{desc}

%prep
%autosetup -n hdmf-%{version} -S patch -p1

# Remove all upper bounds on dependency versions. These are added upstream as a
# matter of course rather than due to known incompatibility, and it is more
# likely that this package will be broken by the upper bounds than by changes
# in new dependency versions.
sed -r -i "s/,<[^']+'/'/" setup.py

find * -type f -name "*.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hdmf
install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'

%check
%if %{with tests}
%pytest
%endif

%files -n python3-hdmf -f %{pyproject_files}
%license license.txt
%doc README.rst Legal.txt
%{_bindir}/validate_hdmf_spec
%{_mandir}/man1/validate_hdmf_spec.1*

%changelog
* Fri Feb 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.5.1-1
- Update to 3.5.1 (close RHBZ#2162209)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.7-1
- Update to 3.4.7 (close RHBZ#2142083)

* Wed Oct 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.6-1
- Update to 3.4.6 (close RHBZ#2132203)

* Wed Oct 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.5-2
- Update License to SPDX

* Thu Sep 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.5-1
- Update to 3.4.5 (close RHBZ#2128676)

* Thu Sep 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.3-1
- Update to 3.4.3 (close RHBZ#2115971)

* Thu Sep 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.2-8
- Remove obsolete patches

* Mon Sep 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.2-7
- Add a man page

* Mon Sep 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.2-6
- Use pytest as the test runner

* Mon Sep 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.2-5
- Remove all upper bounds (but no lower bounds) from setup.py

* Mon Sep 12 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.3.2-4
- Don’t use requirements.txt

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Luis Bazan <lbazan@fedoraproject.org> - 3.3.2-2
- the new version cover the patch.

* Tue Jun 28 2022 Luis Bazan <lbazan@fedoraproject.org> - 3.3.2-1
- new upstream version

* Sun Jun 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.1-8
- Fix test failures on Python 3.11 (fix RHBZ#2098968)
- Updated patch for upstream bug#663 (backported PR#664)
- Backported PR#689

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 3.1.1-7
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 16 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 3.1.1-5
- feat: fix FTI

* Mon Oct 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.1-2
- Drop unnecessary python_enable_dependency_generator macro
- Drop unnecessary python-flake8 BR (work around RHBZ#2014589)

* Mon Aug 16 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.1.1-1
- Update to latest release
- Enable tests

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.4.0-3
- Rebuilt for Python 3.10

* Sun Apr 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.4.0-2
- Add maintainer note
- Report failing tests upstream and add comment

* Wed Apr 07 2021 Luis Bazan <lbazan@fedoraproject.org> - 2.4.0-1
- New upstream

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 22 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.1.0-1
- Update to 2.1.0

* Sat Aug 08 2020 Luis Bazan <lbazan@fedoraproject.org> - 2.0.1-1
- New upstream version

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 03 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.6.2-1
- New upstream version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.6.1-2
- Rebuilt for Python 3.9

* Tue Mar 03 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.6.1-1
- New upstream version

* Fri Feb 28 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.6.0-1
- New upstream version

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.5.4-1
- New upstream version

* Wed Jan 08 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.5.1-2
- Rebuild with other source

* Wed Jan 08 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.5.1-1
- New upstream version

* Wed Jan 08 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.5.0-1
- New upstream version

* Thu Dec 19 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 1.4.0-1
- Update to v1.4.0
- Use bundled source along with the schema files
- https://github.com/hdmf-dev/hdmf/issues/195
- Use Legal.txt as a separate source as it is not included in the source tar 
- Remove unnecessary requirements

* Mon Nov 11 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.3-4
- Remove unneeded configparser BR
- https://bugzilla.redhat.com/show_bug.cgi?id=1770629
- Fix failing tests
- Include required schema files
- Re-order BRs alphabetically

* Thu Nov 07 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.3.3-3
- fix source

* Thu Nov 07 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.3.3-2
- remove legal from doc

* Thu Nov 07 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.3.3-1
- New upstream version

* Thu Oct 03 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.3.2-2
- Rebuild with new source

* Thu Oct 03 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.3.2-1
- New upstream version

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sat Aug 31 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.2.0-1
- New upstream version

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.1.2-2
- Rebuilt for Python 3.8

* Fri Aug 16 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.1.2-1
- New upstream version

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 02 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-1
- New upstream version

* Wed Jun 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.4-2
- Fix some typos

* Wed Jun 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.4-1
- New upstream version

* Tue Jun 11 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.3-2
- Fix BR typo

* Mon Apr 29 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.3-1
- New upstream version

* Sun Apr 21 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.2-1
- New upstream version

* Tue Mar 26 2019 Luis Bazan <lbazan@fedoraproject.org> - 1.0.1-1
- Initial package.


